Skip to main content
PATCH
JavaScript

Authorizations

X-API-Key
string
header
required

Chave de API do tenant (publishable key ou secret key)

Headers

X-API-Key
string
required

Chave de API do tenant (publishable key ou secret key)

Path Parameters

versionId
string
required

Workflow version identifier

Example:

"wfv_abc123def456"

Body

application/json
nodes
object[]
edges
object[]

Response

Workflow version updated successfully

id
string
required

Unique workflow version identifier

Example:

"wfv_abc123def456"

workflowId
string
required

Parent workflow identifier

Example:

"wf_abc123def456"

tenantId
string
required

Tenant identifier

Example:

"tenant_123"

version
number
required

Version number

Example:

1

nodes
object[]
required

Workflow nodes

edges
object[]
required

Workflow edges

isActive
boolean
required

Whether this version is active

Example:

true

createdAt
string
required

Creation timestamp

Example:

"2024-01-15T10:30:00.000Z"

subTenantId
string

Sub-tenant identifier

Example:

"sub_tenant_456"

publishedAt
string

Publication timestamp

Example:

"2024-01-15T10:30:00.000Z"